Gemini 2.5 Pro
Chat Completions API
gemini-2.5-pro
Chat Completions API
Gemini 2.5 Pro is Google’s state-of-the-art AI model, designed for advanced reasoning, coding, mathematics, and scientific tasks. Employs “thinking” capabilities for nuanced context handling and achieves top-tier performance on multiple benchmarks, including first-place on the LMArena leaderboard.
API-методы и структура запроса
Здесь собран публичный контракт интеграции модели: поддерживаемые API-методы, параметры запросов и примеры вызовов.
Chat Completions API
POST/v1/chat/completionsПример кода
Пример использования модели через API на Python или cURL. Замените значения-заполнители своим API-ключом и ID модели.
Базовый пример запроса. Проверьте разрешения API-ключа. Подробнее см. документацию.
Базовый пример запроса. Проверьте разрешения API-ключа. Подробнее см. документацию.
curl https://api.makura.ai/v1/chat/completions \
-H "Authorization: Bearer YOUR_API_KEY" \
-H "Content-Type: application/json" \
--data-raw '{
"model": "gemini-2.5-pro",
"messages": [
{
"role": "user",
"content": "Сколько будет 2 + 2?"
}
]
}'Параметры
Параметры, доступные в API-запросах
Max Completion TokensReasoning EffortResponse FormatStopTemperatureTool ChoiceToolsTop PWeb Search Options